export declare const localStorageChangeEventName = "localStorageChange";
export declare type LocalStorageManager<T> = {
    read(): T;
    get(): T;
    set(data: T | ((data: T) => T)): void;
    remove(): void;
    watch(listener: (data: T) => void): () => void;
    use(): T;
    destroy(): void;
};
export declare function createLocalStorageManager<T>(key: string, validate: (data: unknown) => T, defaultValue: T): LocalStorageManager<T>;
export declare function createLocalStorageManager<T>(key: string, validate: (data: unknown) => T): LocalStorageManager<T | void>;
